within ;
package SpringMassSource

connector joint "Physical joint"
Real y( unit="m");
flow Real f(unit="m.s-2");

  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
              -100},{100,100}}), graphics={Ellipse(
            extent={{-94,96},{88,-90}},
            lineColor={0,0,255},
            fillPattern=FillPattern.Solid,
            fillColor={255,0,255})}));
end joint;

model spring

  joint joint1 annotation (Placement(transformation(extent={{-4,74},{16,94}})));
  joint joint2 
    annotation (Placement(transformation(extent={{-6,-98},{14,-78}})));

  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics={Line(
          points={{-2,82},{-52,44},{70,48},{-46,4},{62,0},{60,-2},{-34,-46},{-32,
              -46},{60,-48},{56,-50},{0,-86}},
          color={0,0,255},
          smooth=Smooth.None)}));
Real dy;
parameter Real k = 1;
equation

  joint2.y - joint1.y = dy;
  joint2.f = -k*dy;

  joint1.f + joint2.f = 0;
end spring;

model mass "Model hmoty. Nutno doplnit rovnice f=m*a a derivace a"

  joint joint1 annotation (Placement(transformation(extent={{0,2},{20,22}})));
  annotation (Diagram(coordinateSystem(preserveAspectRatio=false, extent={{-100,
            -100},{100,100}}), graphics={Ellipse(
          extent={{-84,88},{96,-82}},
          lineColor={0,0,255},
          fillColor={0,0,255},
          fillPattern=FillPattern.Solid)}));
Real a;
Real v;
Real y;
Real f;
parameter Real m = 1;

equation
  f = joint1.f;
  y = joint1.y;
end mass;

  annotation (uses(Modelica(version="3.1")));
end SpringMassSource;
